SystemOrganization addCategory: #'TP BichOS-Test'!

TestCase subclass: #TestCansancio
	instanceVariableNames: 'pepa punto0 punto1 punto2 oreo cansada'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestCansancio methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 10/18/2015 13:15'!
setUp
pepa:= HormigaObrera new.
punto0:= Punto new.
punto0 longitud:0.
punto0 latitud: 0.
punto1:= Punto new.
punto1 longitud:20.
punto1 latitud: 0.
punto2:= Punto new.
punto2 longitud:50.
punto2 latitud:0.

pepa posicion: punto0.

oreo:= Alimento new.
oreo posicion: punto2.
oreo masa:200.! !

!TestCansancio methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/3/2015 16:15'!
testPepaSeCansaLuegoDescansaYRecolectaAlimento

pepa irA: punto1.


pepa descansar.

pepa extraerComidaDe: oreo.
self assert: (pepa pesoLlevado) equals: 10.


! !

!TestCansancio methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/3/2015 16:14'!
testPepaSeCansaYNoRecolectaAlimento

pepa irA: punto1.


pepa extraerComidaDe: oreo.
self assert: (pepa pesoLlevado) equals: 0.


! !

!TestCansancio methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/3/2015 16:14'!
testPepaSeCansaYNoSeMueve

pepa irA: punto1.

pepa irA: punto2.

self assert: (pepa distanciaRecorrida) equals: 20.

! !

!TestCansancio methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/3/2015 16:14'!
testPepaSeExaltaRecorreMasDe5MtsYNoPuedeExtraerMasDelLimite
pepa descansar.



pepa irA: punto1.

pepa extraerComidaDe: oreo.

self assert: (pepa pesoLlevado) equals:10.
 


! !

!TestCansancio methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/3/2015 16:13'!
testPepaSeExaltaYExtraeDobleAlimento

pepa descansar.



pepa extraerComidaDe: oreo.

self assert: (pepa pesoLlevado ) equals: 20.
! !

TestCase subclass: #TestExtraccion
	instanceVariableNames: 'oreo migaDePan medioAlfajor zapatillaDeLona juanita punto0 punto1 punto2 punto3 pepita florcita casa puntoHormiguero'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestExtraccion methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/3/2015 17:15'!
setUp
oreo:= Alimento new.
migaDePan:= Alimento new.
medioAlfajor:= Alimento new.
zapatillaDeLona:= Alimento new.
oreo masa:10000.
migaDePan masa: 2000.
medioAlfajor masa:60000.
zapatillaDeLona masa:0.
juanita:= HormigaObrera new.
punto0:= Punto new.
punto0 latitud:0.
punto0 longitud:0.
punto1:= Punto new.
punto1 latitud: 0.
punto1 longitud: 2.
punto2:= Punto new.
punto2 latitud: 0.
punto2 longitud: 1.
punto3:= Punto new.
punto3 latitud: 1.
punto3 longitud: 2.
juanita posicion: punto0.
pepita:= HormigaObrera new.
pepita posicion: punto0.
florcita:= HormigaObrera new.
florcita posicion: punto0.
oreo posicion: punto1.
migaDePan posicion: punto2.
medioAlfajor posicion: punto3.
zapatillaDeLona posicion: punto0.

casa:= Hormiguero new.
puntoHormiguero:= Punto new.
puntoHormiguero latitud:100.
puntoHormiguero longitud: 100.
casa posicion: puntoHormiguero.


! !

!TestExtraccion methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/3/2015 17:16'!
testExtraerAlimentoDeObjetos
juanita extraerComidaDe: oreo.
pepita extraerComidaDe: migaDePan.
florcita extraerComidaDe: zapatillaDeLona.
juanita descansar.
florcita descansar.
pepita descansar.
casa agregarHormiga: juanita.
casa agregarHormiga: pepita.
casa agregarHormiga: florcita.
casa reclamarAlimento.

juanita descansar.
florcita descansar.
pepita descansar.

florcita extraerComidaDe: oreo.
juanita extraerComidaDe: migaDePan.
pepita extraerComidaDe: medioAlfajor .
casa reclamarAlimento.

self assert: (casa deposito ) equals: 80.






! !

!TestExtraccion methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/3/2015 17:09'!
testExtraerTodoElAlimentoDeUnObjeto
migaDePan masa: 30.

juanita extraerComidaDe: migaDePan.
pepita extraerComidaDe: migaDePan.
florcita extraerComidaDe: migaDePan.



self assert: ( migaDePan masa) equals: 0.







! !

!TestExtraccion methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/3/2015 17:07'!
testJuanitaExtraeAlimentoDeObjetos

juanita extraerComidaDe: oreo.
juanita extraerComidaDe: zapatillaDeLona .

self assert: (juanita pesoLlevado ) equals:10.






! !

!TestExtraccion methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/3/2015 17:08'!
testPepitaExtraeAlimentoDeObjetos


pepita extraerComidaDe: migaDePan.

self assert: ( pepita pesoLlevado ) equals: 10.






! !

TestCase subclass: #TestHormigas
	instanceVariableNames: 'juanita'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 10/18/2015 13:32'!
setUp

juanita:= HormigaObrera new.
! !

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 9/19/2015 21:19'!
testCuantoAlimentoLlevaJuanitaAlNacer

self assert: (juanita pesoLlevado )equals: 0.! !

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 9/19/2015 21:16'!
testJuanitaAlHornoCon5mg

juanita pesoLlevado: 5.

self deny: (juanita estaAlLimite )! !

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 9/19/2015 21:16'!
testJuanitaAlHornoCon9mg

juanita pesoLlevado: 9.

self assert: (juanita estaAlLimite )! !

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 9/19/2015 21:16'!
testJuanitaAlHornoSinLlevarCarga

juanita pesoLlevado: 0.

self deny: (juanita estaAlLimite  )! !

TestCase subclass: #TestHormiguero
	instanceVariableNames: 'casa juana pepa lucas juancha puntoHormiguero punto0 punto1'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 10/18/2015 13:34'!
setUp

casa:= Hormiguero new.
puntoHormiguero:= Punto new.
puntoHormiguero latitud:100.
puntoHormiguero longitud: 100.

casa posicion: puntoHormiguero.
juana:= HormigaObrera new.
pepa:= HormigaObrera new.
lucas:= HormigaObrera new.
juancha:= HormigaObrera new.

punto0:= Punto new.
punto0 latitud:0.
punto0 longitud:0.

punto1:= Punto new.
punto1 latitud:0.
punto1 longitud:20.

juana posicion: punto0.
pepa posicion: punto0.
lucas posicion: punto0.
juancha posicion: punto0.

! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 9/19/2015 21:16'!
testAlimentoEnDeposito

casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: juancha.
casa agregarHormiga: lucas.

juana pesoLlevado: 8.
pepa pesoLlevado: 9.
lucas pesoLlevado:2.

juana llevarAlimentoA: casa.
lucas llevarAlimentoA: casa.

self assert: (casa deposito  ) equals: 10.


! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 9/19/2015 21:17'!
testAlimentoEnTransito

casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: juancha.
casa agregarHormiga: lucas.

juana pesoLlevado: 8.
pepa pesoLlevado: 9.
lucas pesoLlevado:2.

juana llevarAlimentoA: casa.
lucas llevarAlimentoA: casa.

self assert: (casa alimentoRecolectado  ) equals: 9.


! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 9/19/2015 21:17'!
testAlimentoTotalEnHormiguero

casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: juancha.
casa agregarHormiga: lucas.

juana pesoLlevado: 8.
pepa pesoLlevado: 9.
lucas pesoLlevado:2.

juana llevarAlimentoA: casa.
lucas llevarAlimentoA: casa.

self assert: (casa alimentoTotal ) equals: 19.


! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/17/2015 16:01'!
testCantidadHormigasParaHormigueroConVariasHormigas


casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: lucas.
casa agregarHormiga: juancha.


self assert: (casa cantidadDeHormigas ) equals: 4.! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/16/2015 16:14'!
testCantidadHormigasParaHormigueroVacio

self assert: (casa cantidadDeHormigas ) equals: 0.! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 9/19/2015 21:17'!
testReclamarAlimentoDeLasHormigas

casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: juancha.

juana pesoLlevado: 8.
pepa pesoLlevado: 9.

casa reclamarAlimento.

self assert: (casa deposito) equals: 17.


! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/3/2015 16:59'!
testRecorridoTotalHormigas

casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: juancha.
casa agregarHormiga: lucas.


casa reclamarAlimento.

self assert: (casa recorridoTotalHormigas ) equals:  565.685424949238.




! !

TestCase subclass: #TestRecorridos
	instanceVariableNames: 'punto1 punto2 punto3 punto0 juanita'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 10/18/2015 13:34'!
setUp
juanita:= HormigaObrera new.

punto0:= Punto new.
punto0 latitud:0.
punto0 longitud:0.

punto1:= Punto new.
punto1 latitud: 0.
punto1 longitud: 30.

punto2:= Punto new.
punto2 latitud: 10.
punto2 longitud: 30.

punto3:= Punto new.
punto3 latitud: 4.
punto3 longitud: 38.

juanita posicion: punto0.



! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 10/18/2015 13:48'!
testDistanciaPromedioDeJuanitaRecorriendo3Puntos

juanita irA: punto1.
juanita descansar.
juanita irA: punto2.
juanita descansar.
juanita irA: punto3.

self assert: (juanita distanciaRecorridaPromedio) equals: 50/3.










 ! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 10/18/2015 13:47'!
testDistanciaRecorridaPorJuanita

juanita descansar.
juanita irA: punto1.
juanita descansar.
juanita irA: punto2.
juanita descansar.
juanita irA: punto3.


self assert: (juanita distanciaRecorrida )equals: 50.










 ! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'Federico 10/7/2015 17:26'!
testDistanciaRecorridaPorJuanitaUltimos2Viajes

juanita irA:punto1.
juanita descansar.
juanita irA: punto2.
juanita irA: punto3.
juanita descansar.
juanita irA: punto1.

self assert: ((punto2 distanciaA: punto3)+ (punto3 distanciaA: punto1)) equals: 18.94427190999916.


! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'JulianBerbelAlt 10/18/2015 13:48'!
testJuanitaRecorrio3Puntos

juanita irA: punto1.
juanita descansar.
juanita irA: punto2.
juanita descansar.
juanita irA: punto3.

self assert: (juanita puntosRecorridos )equals: {punto1. punto2. punto3.} asOrderedCollection 










 ! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'Federico 10/7/2015 17:21'!
testPromedioDistanciaRecorridaUltimos2Puntos


juanita irA:punto1.
juanita descansar.
juanita irA: punto2.
juanita irA: punto3.
juanita descansar.
juanita irA: punto1.

self assert: (((punto2 distanciaA: punto3)+ (punto3 distanciaA: punto1))/2) equals: 9.47213595499958.



! !

TestCase subclass: #TiposDeHormigas
	instanceVariableNames: 'juana pepa reina pipa casa punto0 oreo migaDePan medioAlfajor zapatillaDeLona'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TiposDeHormigas methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 11/3/2015 17:06'!
setUp

juana:= HormigaObrera  new.
pepa:= HormigaSoldado new.
reina:= HormigaReina new.
pipa:= HormigaZangano new.

casa := Hormiguero new.
punto0:= Punto new.
punto0 latitud: 10.
punto0 longitud:0.

casa posicion: punto0.
oreo:= Alimento new.
migaDePan:= Alimento new.
medioAlfajor:= Alimento new.
zapatillaDeLona:= Alimento new.
oreo masa:10000.
migaDePan masa: 2000.
medioAlfajor masa:60000.
zapatillaDeLona masa:0.

! !
